// example for DOGM104
#include <Arduino.h>
#include <SSD1803A_I2C.h>
#include <Wire.h>

const uint8_t i2cpwm = 0x60;   //0x60:0x61
const uint8_t i2caddr = 0x3C;  //0x3C:0x3D
const uint8_t resetPin = 3;    // not used

SSD1803A_I2C lcd(i2caddr, resetPin);

void setup() {

  // pca9632 init
  Wire.begin();  // inicjacja I2C
  delay(1);
  Wire.beginTransmission(i2cpwm);
  Wire.write(0x00);
  Wire.write(0b10000000);  // MODE1
  Wire.endTransmission();

  Wire.beginTransmission(i2cpwm);
  Wire.write(0x01);
  Wire.write(0b00000000);  // MODE2, dim
  Wire.endTransmission();

  Wire.beginTransmission(i2cpwm);
  Wire.write(0x06);
  Wire.write(0xFF);
  Wire.endTransmission();

  Wire.beginTransmission(i2cpwm);
  Wire.write(0x07);
  Wire.write(0x00);
  Wire.endTransmission();

  Wire.beginTransmission(i2cpwm);
  Wire.write(0x08);
  Wire.write(0b10101010);
  Wire.endTransmission();

  Wire.beginTransmission(i2cpwm);
  Wire.write(0x02);
  Wire.write(0x00);
  Wire.endTransmission();

  Wire.beginTransmission(i2cpwm);
  Wire.write(0x03);
  Wire.write(0x00);
  Wire.endTransmission();

  // DOGS104 init
  lcd.begin(DOGS104);
  lcd.display(LINES_3_1);
  delay(10);
  lcd.locate(0, 0);
  lcd.print("0123456789");
  lcd.locate(1, 0);
  lcd.print("abcdefghij");
  lcd.locate(2, 0);
  lcd.print("ABCDEFGHIJ");
  lcd.locate(3, 0);
  lcd.print("KLMNOPQRST");
  lcd.write(0);
  lcd.write(1);
  lcd.display(CONTRAST);
  lcd.display(CURSOR_OFF);
  lcd.display(DISPLAY_ON);
}

void loop() {
  for (int x = 0; x < 0xFF; x++) {
    Wire.beginTransmission(i2cpwm);
    Wire.write(0x02);
    Wire.write(x);  //PWM0/1 GR(Y) red/yellow up
    Wire.endTransmission();
    delay(10);
    Wire.beginTransmission(i2cpwm);
    Wire.write(0x03);
    Wire.write(~x);  //PWM1= ~PWM0 green down
    Wire.endTransmission();
    delay(10);
  }
  delay(1000);
}